### Method

# Gtk Picture set_keep_aspect_ratio

#### Declaration [src]

    void
    gtk_picture_set_keep_aspect_ratio (
      GtkPicture* self,
      gboolean keep_aspect_ratio
    )

#### Description [src]

If set to `TRUE`, the `self` will render its contents according to their aspect ratio.

That means that empty space may show up at the top/bottom or left/right of `self`.

If set to `FALSE` or if the contents provide no aspect ratio, the contents will be stretched over the picture’s whole area.

Sets property | `Gtk.Picture:keep-aspect-ratio`

#### Parameters

`keep_aspect_ratio` | `gboolean`
| Whether to keep aspect ratio.